Skip to content

Get topic fact check

GET
/topics/{id}/fact_check

Retrieve fact check information for a specific topic

Authorizations

ApiKeyAuth

API key authentication. Format: cpt_{env}v1{random}_{checksum}. Example: cpt_prod_v1_xxxxxxxxxx_xx

Type
API Key (header: X-CP-TERMINAL-API-KEY)

Parameters

Path Parameters

id*

Topic ID

Type
integer
Required
Example88888

Query Parameters

lang

Language code (determines which explanation field is returned)

Type
string
Valid values
"en""ja""zh"
Example"en"
Default
"en"

Responses

Successful response

application/json
JSON
{
  
"code": 0,
  
"message": "ok",
  
"data": {
  
  
"topic_id": 88888,
  
  
"possibility": 0.95,
  
  
"result": 0,
  
  
"explanation": "This article covers major events in the technology industry...",
  
  
"explanation_zh": "string",
  
  
"explanation_ja": "string",
  
  
"original_urls": [
  
  
  
[
  
  
  
  
"https://example.com/source/article-12345"
  
  
  
]
  
  
]
  
}
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI